> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search permissions

> Search for permissions with filters



## OpenAPI

````yaml post /v1/rbac/permissions/search
openapi: 3.0.0
info:
  title: RBAC API
  version: 1.0.0
  description: API for Role-Based Access Control management
servers: []
security:
  - bearerAuth: []
tags:
  - name: RBAC
    description: Role-Based Access Control operations
paths:
  /v1/rbac/permissions/search:
    post:
      tags:
        - RBAC
      summary: Search permissions
      description: Search for permissions with filters
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PermissionSearchRequest'
      responses:
        '200':
          description: Search results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermissionSearchResponse'
components:
  schemas:
    PermissionSearchRequest:
      type: object
      properties:
        actor_ids:
          type: array
          items:
            type: string
            format: uuid
        types:
          type: array
          items:
            type: string
            enum:
              - user
              - role
        rec_types:
          type: array
          items:
            type: string
        permissions:
          type: array
          items:
            type: string
            pattern: ^[CRUDA]$
        active:
          type: boolean
    PermissionSearchResponse:
      type: object
      properties:
        total:
          type: integer
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/RbacRecord'
    RbacRecord:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        record_id:
          type: string
          format: uuid
        rec_type_name:
          type: string
        actor_name:
          type: string
        actor_id:
          type: string
          format: uuid
        permission:
          type: array
          items:
            type: string
            enum:
              - C
              - R
              - U
              - D
              - A
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````